> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/reference/create-vault-account",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Create Vault Accounts

Your Fireblocks workspace utilizes a hierarchy of vault accounts as part of its [Object Model](doc:object-model). This hierarchy allows you to segregate funds belonging to different business units or deposited by different users.

A Vault account can hold multiple assets. To transfer to or from vault accounts, your source or destination targets must be provided with both their vault ID and asset ID.

Use the [Create a new vault account](/reference/createvaultaccount) API call to create a new vault account that will hold your UTXO or account-based wallets.

### Important:

Vault account names should consist of ASCII characters only.

### Code Example

```
(async() => {

  const vaultAccount = await fireblocks.vaults.createVaultAccount({
    createVaultAccountRequest: {
      name: "MyVaultAccount",
      autoFuel: true,
      hiddenOnUI: false
    }
  })
  console.log(JSON.stringify(vaultAccount.data, null, 2))

})();
```

```
vault_account = fireblocks.create_vault_account(
    name="MyVaultAccount",
    hiddenOnUI=False,
    autoFuel=True
)
```

### Response Example

```
{
  "id": "148",
  "name": "MyVaultAccount",
  "hiddenOnUI": false,
  "assets": [],
  "autoFuel": true
}
```

***

# Optional parameters

### hiddenOnUI

Set to `true` by default, hides this vault account from appearing in the Fireblocks Console.

This is the best practice when creating intermediate deposit vault accounts for your users as it helps reduce visual clutter and improves UI loading time.

The best practice is configuring this setting so that only your omnibus account and another operational vault account (or multiple) are visible in the Fireblocks Console.

### autoFuel

If the Gas Station service is enabled on your workspace, this flag needs to be set to `true` if you wish to monitor and fuel this account's Ethereum address upon detected balance refresh events, such as when deposits of ERC20 tokens occur.
